Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.axiom.util
Class CalendarBean

    java.lang.Object
      |
      +--com.beasys.commerce.axiom.util.CalendarBean

public class CalendarBean
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DATE_FORMAT` The formatting string used to represent a date.

Constructor Summary
`CalendarBean()`

Method Summary
`void` | `addMonthDisplayCalendar(int num)` Change the month which is displayed.
`void` | `addYearDisplayCalendar(int num)` Change the year which is displayed.
`int` | `getCompleteWeeksInMonth()` Retrieve the number of complete weeks for the month of the current calendar displayed.
`int` | `getCurrentDate()` Retrieve the day for the current date.
`java.lang.String` | `getCurrentMonth()` Retrieve the month for the current date.
`int` | `getCurrentMonthNumber()` Retrieve the month number for the current date.
`int` | `getCurrentYear()` Retrieve the year for the current date.
`java.lang.String` | `getCurrentZoneId()`
`long` | `getDateSeconds(java.lang.String theYear, java.lang.String theMonth, java.lang.String theDate, java.lang.String theHour, java.lang.String theMinute, java.lang.String aTimezone)`
`java.lang.String` | `getDayOfWeek(int dayNum)` Retrieve the day of the week.
`int` | `getDaysInFirstWeek()` Retrieve the number of the days in the first week for the month of the current calendar displayed.
`int` | `getDaysInLastWeek()` Retrieve the number of the days in the last week for the month of the current calendar displayed.
`int` | `getDaysInMonth()` Retrieve the number of days for the month of the current calendar displayed.
`int` | `getDisplayDate()` Retrieve the day of the month for the current calendar displayed.
`java.lang.String` | `getDisplayMonth()` Retrieve the month for the current calendar displayed.
`int` | `getDisplayMonthNumber()` Retrieve the month number for the current calendar displayed.
`int` | `getDisplayYear()` Retrieve the year for the current calendar displayed.
`int` | `getStartDayOfWeekInMonth()` Retrieve the day the month starts on for the month of the current calendar displayed.
`java.lang.String` | `getTodaysDate()`
`boolean` | `sameDay(int year, int month, int day)`
`java.lang.String` | `simpleFormatTest(java.lang.String simpleDateFormat)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATE_FORMAT

    public static final java.lang.String DATE_FORMAT

  The formatting string used to represent a date.

Constructor Detail

### CalendarBean

    public CalendarBean()

Method Detail

### getCurrentMonth

    public java.lang.String getCurrentMonth()

  Retrieve the month for the current date.

  Returns:
    String month name

### getCurrentMonthNumber

    public int getCurrentMonthNumber()

  Retrieve the month number for the current date.

  Returns:
    integer month number returned from Calendar class

### getCurrentDate

    public int getCurrentDate()

  Retrieve the day for the current date.

  Returns:
    integer the day of the month for the current date

### getCurrentYear

    public int getCurrentYear()

  Retrieve the year for the current date.

  Returns:
    integer the year for the current date

### getDisplayMonth

    public java.lang.String getDisplayMonth()

  Retrieve the month for the current calendar displayed.

  Returns:
    String month name

### getDisplayMonthNumber

    public int getDisplayMonthNumber()

  Retrieve the month number for the current calendar displayed.

  Returns:
    integer month number from Calendar

### getDisplayDate

    public int getDisplayDate()

  Retrieve the day of the month for the current calendar displayed.

  Returns:
    integer day of month

### getDisplayYear

    public int getDisplayYear()

  Retrieve the year for the current calendar displayed.

  Returns:
    integer year

### getDaysInMonth

    public int getDaysInMonth()

  Retrieve the number of days for the month of the current calendar displayed.

  Returns:
    integer days in month

### getCompleteWeeksInMonth

    public int getCompleteWeeksInMonth()

  Retrieve the number of complete weeks for the month of the current calendar displayed.

  Returns:
    integer days in month

### getDaysInLastWeek

    public int getDaysInLastWeek()

  Retrieve the number of the days in the last week for the month of the current calendar displayed.

  Returns:
    integer days in last week

### getDaysInFirstWeek

    public int getDaysInFirstWeek()

  Retrieve the number of the days in the first week for the month of the current calendar displayed.

  Returns:
    integer days in first week

### getStartDayOfWeekInMonth

    public int getStartDayOfWeekInMonth()

  Retrieve the day the month starts on for the month of the current calendar displayed.

  Returns:
    integer days in last week

### getDayOfWeek

    public java.lang.String getDayOfWeek(int dayNum)

  Retrieve the day of the week.

  Returns:
    string day of week (i.e. "Mon")

### addMonthDisplayCalendar

    public void addMonthDisplayCalendar(int num)

  Change the month which is displayed.

  Parameters:
    `integer` - number by which to increment or decrement the month.

### addYearDisplayCalendar

    public void addYearDisplayCalendar(int num)

  Change the year which is displayed.

  Parameters:
    `integer` - number by which to increment or decrement the year.

### getTodaysDate

    public java.lang.String getTodaysDate()

### getCurrentZoneId

    public java.lang.String getCurrentZoneId()

### getDateSeconds

    public long getDateSeconds(java.lang.String theYear,
                               java.lang.String theMonth,
                               java.lang.String theDate,
                               java.lang.String theHour,
                               java.lang.String theMinute,
                               java.lang.String aTimezone)

### simpleFormatTest

    public java.lang.String simpleFormatTest(java.lang.String simpleDateFormat)

### sameDay

    public boolean sameDay(int year,
                           int month,
                           int day)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved